﻿@using SSCMvc.Models;
@using SSCMvc.Webutil;
@{

    SSCWebDBEntities1 db = new SSCWebDBEntities1();
    CommonUtil cmd = new CommonUtil();
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title></title>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
    <link href="@Url.Content("~/Content/bootstrap.css")" rel="stylesheet" type="text/css" />
    <link href="@Url.Content("~/Content/theme.css")" rel="stylesheet" type="text/css" />
    <link href="@Url.Content("~/Content/lib/lib/font-awesome/css/font-awesome-ie7.css")" rel="stylesheet" type="text/css" />
    <link href="@Url.Content("~/Content/lib/lib/font-awesome/css/font-awesome.css")" rel="stylesheet" type="text/css" />
    <link href="@Url.Content("~/Content/Style.css")" rel="stylesheet" type="text/css" />
    <link href="/Content/themes/base/jquery-ui.css" rel="stylesheet" type="text/css" />
    <link href="@Url.Content("~/Content/themes/base/jquery.ui.all.css")" rel="stylesheet" type="text/css" />
    <link href="@Url.Content("~/Content/Style.css")" rel="stylesheet" type="text/css" />
    <link href="@Url.Content("~/Content/Tabs.css")" rel="stylesheet" type="text/css" />
    <link href="@Url.Content("/assets/plugins/select2/select2_metro.css")" rel="stylesheet" type="text/css" />
    <style type="text/css">
        #line-chart { height: 300px; width: 800px; margin: 0px auto; margin-top: 1em; }

        .brand { font-family: georgia, serif; }
            .brand .first { color: #ccc; font-style: italic; }
            .brand .second { color: #fff; font-weight: bold; }
        .edudiv { padding: 3px; border: 1px solid black; position: absolute; width: 500px; height: 200px; }
        .background { background-color: #ECECEC; padding: 0; color: #335500; }

        .ui-combobox-toggle { position: absolute; height: 22px; margin-left: 0px; padding: 0; }
        #example th{
            background-color:lightgoldenrodyellow !important;
        }
    </style>
</head>
<body>
    @if (Request.IsAuthenticated)
    {
        if (cmd.ValidateLogin() == "NO")
        {
            Response.Redirect("/Login/Login/");
        }

        int id = Convert.ToInt32(Request.Cookies[SSCMvc.Models.CommonUtil.CookieUserid].Value);
        User us = db.Users.Find(id);

        if (CommonUtil.IndianTime() >= us.expirydate.Value.Date.AddMinutes(810))
        {
            Response.Redirect("/Account/ChangePassword/");
        }

        <div class="navbar">
            <div class="navbar-inner">
                <ul class="nav pull-right">
                    <li style="padding-top: 10px;">
                        <span id="updatedt" style="color: White;"></span>
                    </li>
                    <li>
                        <a href="#" class="hidden-phone visible-tablet visible-desktop pr" role="button">
                            @Request.Cookies[SSCMvc.Models.CommonUtil.BranchName].Value
                        </a>
                    </li>
                    <li>
                        @{
                            var blist = db.MaBranches.OrderBy(o => o.BramchName);
                        }
                        @*@if (Request.Cookies[SSCMvc.Models.CommonUtil.CookieUsertype].Value == CommonUtil.UserTypeAdmin || Request.Cookies[SSCMvc.Models.CommonUtil.CookieUsertype].Value == CommonUtil.UserTypeSuperAdmin)*@

                        <div class="dropdown">
                            <button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown">
                                Change Branch
                                <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu">
                                @foreach (var item in blist)
                                {
                                    <li><a href="/user/changebranch/@item.Id">@item.BramchName</a></li>
                                }

                            </ul>
                        </div>

                    </li>
                    <li>
                        <a href="/Preference" class="hidden-phone visible-tablet visible-desktop pr" role="button">
                            Settings
                        </a>
                    </li>
                    <li id="fat-menu" class="dropdown">
                        <a href="#" role="button" class="dropdown-toggle"
                           data-toggle="dropdown">
                            <div style="width: 85px; float: right">
                                <table>
                                    <tr>
                                        <td>
                                            <i class="icon-user"></i>
                                        </td>
                                        <td>
                                            @Html.Label(User.Identity.Name)
                                        </td>
                                        <td>
                                            <i class="icon-caret-down"></i>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </a>
                        <ul class="dropdown-menu">
                            @*<li><a tabindex="-1" href="#">My Account</a></li>
                                <li class="divider"></li>*@
                            <li>@Html.ActionLink("Change Password", "ChangePassword", "Account", null, null)</li>
                            <li class="divider"></li>
                            <li class="divider visible-phone"></li>
                            <li>@Html.ActionLink("LogOut", "LogOff", "Login", null, null)</li>
                        </ul>
                    </li>
                </ul>
                @if (CommonUtil.IndianTime() >= us.expirydate)
                {
                    <a class="brand" href="/Account/ChangePassword/">
                        <span class="first">Sethi Study</span> <span class="second">Circle</span>
                    </a>

                }
                else
                {
                    <a class="brand" href="/MaAdmission/Index">
                        <span class="first">Sethi Study</span> <span class="second">Circle</span>
                    </a>
                }
            </div>
        </div>

                            }
    @if (Request.IsAuthenticated)
    {
        <div class="sidebar-nav">
            @{
                if (Request.Cookies[SSCMvc.Models.CommonUtil.CookieUsertype].Value != CommonUtil.UserTypeCounselor && Request.Cookies[SSCMvc.Models.CommonUtil.CookieUsertype].Value != CommonUtil.UserTypeVisaCounselor)
                {
                    <a href="#dashboard-menu" class="nav-header" data-toggle="collapse" id="dashmenu">
                        <i class="icon-dashboard"></i>Settings
                    </a>
                    <ul id="dashboard-menu" class="nav nav-list collapse in">
                        <li id="1" onclick="MakeActive(this.id)">@Html.ActionLink("Home", "Index", "Home")</li>
                        <li id="2" onclick="MakeActive(this.id)">@Html.ActionLink("Branches", "Index", "MaBranch")</li>
                        <li id="22" onclick="MakeActive(this.id)">@Html.ActionLink("Preference", "Index", "Preference")</li>
                        <li id="4" onclick="MakeActive(this.id)">@Html.ActionLink("Designation ", "Index", "MaDesignation")</li>
                        <li id="3" onclick="MakeActive(this.id)">@Html.ActionLink("User", "Index", "User")</li>
                        <li id="14" onclick="MakeActive(this.id)">@Html.ActionLink("Reference", "Index", "MaReference")</li>
                        <li id="14.1" onclick="MakeActive(this.id)">@Html.ActionLink("All Students", "AllStudent", "MaAdmission")</li>
                        <li id="33" onclick="MakeActive(this.id)">@Html.ActionLink("Update Conversion", "UpdateConversion", "MaEnquiry")</li>
                        @*<h3 class="hr_style"></h3>*@
                        <input type="hidden" id="lnkvalue" />
                    </ul>

                    <a href="#accounts-menu" class="nav-header" data-toggle="collapse" id="account">
                        <i class="icon-briefcase"></i>Master
                    </a>
                    <ul id="accounts-menu" class="nav nav-list collapse in">
                        <li id="5" onclick="MakeActive(this.id)">@Html.ActionLink("Courses", "Index", "MaCourse")</li>
                        <li id="6" onclick="MakeActive(this.id)">@Html.ActionLink("Packages", "Index", "MaPackage")</li>
                        <li id="6" onclick="MakeActive(this.id)">@Html.ActionLink("Branch Wise discount", "Index", "Coursewisediscount")</li>
                        <li id="7" onclick="MakeActive(this.id)">@Html.ActionLink("Time", "Index", "MaTime")</li>
                        <li id="9" onclick="MakeActive(this.id)">@Html.ActionLink("Package Hour", "Index", "MaPackageHours")</li>
                        <li id="10" onclick="MakeActive(this.id)">@Html.ActionLink("Send SMS", "Index", "SendSMS")</li>
                        <li id="8" onclick="MakeActive(this.id)">@Html.ActionLink("Discount", "Index", "MaDiscount")</li>
                        <li id="87" onclick="MakeActive(this.id)">@Html.ActionLink("Payment Mode", "Index", "Ma_PayMode")</li>
                        <li id="89" onclick="MakeActive(this.id)">@Html.ActionLink("Assign Time Code", "AssignCode", "MaCourse")</li>
                        <li id="89" onclick="MakeActive(this.id)">@Html.ActionLink("Reason", "Index", "MaClosedReason")</li>
                        <li id="89.5" onclick="MakeActive(this.id)">@Html.ActionLink("Add City", "Index", "MaCity")</li>
                        <li id="89.2" onclick="MakeActive(this.id)">@Html.ActionLink("Add Area", "Index", "Ma_Area")</li>
                        <li id="89.3" onclick="MakeActive(this.id)">@Html.ActionLink("Add Role", "Index", "MaRole")</li>
                        <li id="89.4" onclick="MakeActive(this.id)">@Html.ActionLink("Add Security", "Index", "MaSecurity")</li>
                        <li id="89.4" onclick="MakeActive(this.id)">@Html.ActionLink("Add VisaType", "Index", "VisaType")</li>

                    </ul>

                }
            }
            <a href="#legal-menu" class="nav-header" data-toggle="collapse">
                <i class="icon-legal">
                </i>Transaction
            </a>
            <ul id="legal-menu" class="nav nav-list collapse in">
                <li id="80" onclick="MakeActive(this.id)">@Html.ActionLink("Transaction Dashboard", "Transaction", "ReportDashboard")</li>
                <li id="9" onclick="MakeActive(this.id)">@Html.ActionLink("Enquiry", "Index", "MaEnquiry")</li>

                <li id="10" onclick="MakeActive(this.id)">@Html.ActionLink("Prosp. Students", "Index", "MaAdmission")</li>
                @* <li id="10.1" onclick="MakeActive(this.id)">@Html.ActionLink("Left Out Students", "LeftStudent", "MaAdmission")</li>*@

                <li id="11" onclick="MakeActive(this.id)">@Html.ActionLink("Fee Receipt", "Index", "TbFeeReceipt")</li>

                <li id="12" onclick="MakeActive(this.id)">@Html.ActionLink("Fee Adjustment", "Index", "TbFeeAdjustment")</li>
                <li id="13" onclick="MakeActive(this.id)">@Html.ActionLink("Fee Refund", "Index", "Tb_FeeRefund")</li>

                <li id="17" onclick="MakeActive(this.id)">@Html.ActionLink("Day Book", "DayBook", "Tb_Ledger")</li>

                <li id="15" onclick="MakeActive(this.id)">@Html.ActionLink("Student Leave", "Index", "TbStudLeave")</li>
                <li id="15.1" onclick="MakeActive(this.id)">@Html.ActionLink("Student Transfer", "StudentTransferIndex", "MaAdmission")</li>
                <li id="23" onclick="MakeActive(this.id)">@Html.ActionLink("Mock Test", "Index", "Tb_MockTest")</li>
                <li id="24" onclick="MakeActive(this.id)">@Html.ActionLink("IELTS / PTE Test", "Index", "Tb_IELTSResult")</li>
                <li id="16" onclick="MakeActive(this.id)">@Html.ActionLink("Bug Report", "Index", "MaBugReport")</li>
                <li id="24.2" onclick="MakeActive(this.id)">@Html.ActionLink("Visa Students", "VisaStudents", "Tb_VisaPayment")</li>
                <li id="9" onclick="MakeActive(this.id)">@Html.ActionLink("HomeWork", "Index", "Homework")</li>
                @if (Request.Cookies[SSCMvc.Models.CommonUtil.CookieUsertype].Value != CommonUtil.UserTypeCounselor && Request.Cookies[SSCMvc.Models.CommonUtil.CookieUsertype].Value != CommonUtil.UserTypeVisaCounselor || Request.Cookies[SSCMvc.Models.CommonUtil.CookieRoleid].Value == "1008")
                {
                    <li id="9.9" onclick="MakeActive(this.id)">@Html.ActionLink("Counselor's Enquiry Transfer", "TransferOldCounselorEnq", "MaEnquiry")</li>
                }
            </ul>


            <a href="#legal-menu" class="nav-header" data-toggle="collapse">
                <i class="icon-legal">
                </i>Reports
            </a>

            <ul id="Ul1" class="nav nav-list collapse in">
                <li id="81" onclick="MakeActive(this.id)">@Html.ActionLink("Report Dashboard", "Index", "ReportDashboard")</li>
                <li id="26" onclick="MakeActive(this.id)">@Html.ActionLink("Daily Fee Report", "DailyRecptPermission", "TbFeeReceipt", null, new { @target = "_blank" })</li>
                <li id="21" onclick="MakeActive(this.id)">@Html.ActionLink("Students Detail", "StudentDetail", "Reports")</li>
                <li id="31" onclick="MakeActive(this.id)">@Html.ActionLink("Area Wise Report", "Areareport", "Reports")</li>
                <li id="41" onclick="MakeActive(this.id)">@Html.ActionLink("InActive Course Report", "InactiveCourseReport", "Reports")</li>
                <li id="22" onclick="MakeActive(this.id)">@Html.ActionLink("Pending Fee List", "PendingFeeList", "Reports", null, new { @target = "_blank" })</li>
                <li id="19" onclick="MakeActive(this.id)">@Html.ActionLink("Defaulter List", "OpenDefaulterList", "TbFeeReceipt", null, new { @target = "_blank" })</li>

                <li id="19.1" onclick="MakeActive(this.id)">@Html.ActionLink("All Receipts", "AllReceipts", "TbFeeReceipt", null, new { @target = "_blank" })</li>
                <li id="19.6" onclick="MakeActive(this.id)">@Html.ActionLink("Student Transfer Report", "StudentTransferReport", "Reports", null, new { @target = "_blank" })</li>
                <li id="24.1" onclick="MakeActive(this.id)">@Html.ActionLink("Enquiry Analysis", "EnquiryAnalysis", "MaEnquiry")</li>
                <li id="24.2" onclick="MakeActive(this.id)">@Html.ActionLink("No Fee Receipt Report", "WithoutFee", "Reports")</li>
                <li id="24.3" onclick="MakeActive(this.id)">@Html.ActionLink("Double Entry", "DoubleEntry", "MaEnquiry")</li>
                <li id="24.5" onclick="MakeActive(this.id)">@Html.ActionLink("DOJ Report", "GetReportByDOJ", "TbFeeReceipt")</li>

                @*<li id="24.1" onclick="MakeActive(this.id)">@Html.ActionLink("Enquiry Analysis", "EnquiryAnalysis", "MaEnquiry")</li>*@
                <li id="20" onclick="MakeActive(this.id)">@Html.ActionLink("Timewise List", "GroupTiming", "Reports")</li>
                <li id="25" onclick="MakeActive(this.id)">@Html.ActionLink("Timeslot", "EnqSearchReport", "Reports", null, new { @target = "_blank" })</li>
                <li id="25.1" onclick="MakeActive(this.id)">@Html.ActionLink("Reference Report", "ReferenceReport", "Reports", null, new { @target = "_blank" })</li>
                <li id="26.1" onclick="MakeActive(this.id)">@Html.ActionLink("Discount Report", "DiscountReport", "TbFeeReceipt", null, new { @target = "_blank" })</li>
                <li id="26.1" onclick="MakeActive(this.id)">@Html.ActionLink("Course / Package Report", "CoursePackageReport", "TbFeeReceipt", null, new { @target = "_blank" })</li>
                <li id="27" onclick="MakeActive(this.id)">@Html.ActionLink(" Photo Uploader", "PhotoUpload", "MaAdmission", null, new { @target = "_blank" })</li>
                <li id="27.1" onclick="MakeActive(this.id)">@Html.ActionLink("Performance", "InquiryData", "MaAdmission", null, new { @target = "_blank" })</li>
                <li id="28" onclick="MakeActive(this.id)">@Html.ActionLink("Pending FollowUp", "PrintPendingFollowUpCountList", "MaEnqFollow", null, new { @target = "_blank" })</li>
                <li id="30" onclick="MakeActive(this.id)">@Html.ActionLink("Pending FollowUp List", "PendingFollowUpList", "MaEnqFollow", null, new { @target = "_blank" })</li>

                <li id="28" onclick="MakeActive(this.id)">@Html.ActionLink("Closed Reason", "ClosedReason", "MaEnqFollow", null, new { @target = "_blank" })</li>
                <li id="28" onclick="MakeActive(this.id)">@Html.ActionLink("Demo Conversion", "DemoConversion", "MaEnquiry", null, new { @target = "_blank" })</li>

                <li id="28.1" onclick="MakeActive(this.id)">@Html.ActionLink("Score Report", "CompareScores", "MaAdmission", null, new { @target = "_blank" })</li>

                <li id="28.3" onclick="MakeActive(this.id)">@Html.ActionLink("IELTS / PTE Report", "IELTSReport", "Reports", null, new { @target = "_blank" })</li>

                <li id="29" onclick="MakeActive(this.id)">@Html.ActionLink("Left Student Record", "LeftStudent", "MaAdmission", null, new { @target = "_blank" })</li>

                @*<li id="29.1" onclick="MakeActive(this.id)">@Html.ActionLink("Left Student Print", "LeftStudentPrint", "MaAdmission", null, new { @target = "_blank" })</li>*@

                <li id="29.1" onclick="MakeActive(this.id)">@Html.ActionLink("Remove Left Student", "RemoveLeftStudent", "MaAdmission", null, new { @target = "_blank" })</li>

            </ul>

            }
        </div>

                }


    @{

        if (Request.Cookies[SSCMvc.Models.CommonUtil.CookieUsertype] != null && Request.Cookies[SSCMvc.Models.CommonUtil.CookieBranchid] != null)
        {

            int bid = Convert.ToInt32(Request.Cookies[SSCMvc.Models.CommonUtil.CookieBranchid].Value);
            string bgcolor = db.MaBranches.Find(bid).BgColor;
            <div class="content" style="background-color:@bgcolor">
                @RenderBody()
            </div>

        }
        else
        {
            <div class="content">
                @RenderBody()
            </div>
        }
    }
    <footer>
        <table style="width: 100%" style="bottom: 0px">
            <tr>
                <td align="right">

                    <a href="http://dstindia.com/" target="_blank">
                        <p class="pull-right">Designed By  DST India</p>
                    </a>

                </td>
            </tr>
        </table>


    </footer>
    @Content.Script("jquery-1.7.2.min.js", Url)
    @Content.Script("jquery-ui-1.8.20.min.js", Url)
    @Content.Script("jquery.unobtrusive-ajax.min.js", Url)
    @Content.Script("bootstrap.js", Url)
    @Content.Script("Deleting.js", Url)
    @Content.Script("Tabscript.js", Url)

    @Content.Script("../assets/form-validation.js", Url)
    @Content.Script("../assets/plugins/select2/select2.min.js", Url)
    @Content.Script("../assets/plugins/bootstrap/js/bootstrap.min.js", Url)
    @Content.Script("../assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js", Url)
    @Content.Script("../assets/plugins/jquery.cookie.min.js", Url)
    @Content.Script("../assets/plugins/uniform/jquery.uniform.min.js", Url)
    @Content.Script("../assets/app.js", Url)

    <script>

        document.addEventListener('DOMContentLoaded', function () {
            $('.hasDatepicker').attr("autocomplete", "off");
        });

        function MakeActive(myval) {

            setCookie(myval);
        }

        function setCookie(c_value) {


            document.cookie = "ActiveLiid" + "=" + c_value;

        }

        function getCookieValue(key) {
            currentcookie = document.cookie;
            if (currentcookie.length > 0) {
                firstidx = currentcookie.indexOf(key + "=");
                if (firstidx != -1) {
                    firstidx = firstidx + key.length + 1;
                    lastidx = currentcookie.indexOf(";", firstidx);
                    if (lastidx == -1) {
                        lastidx = currentcookie.length;
                    }
                    return unescape(currentcookie.substring(firstidx, lastidx));
                }
            }
            return "";
        }

        $(document).ready(function () {

            $(".hasDatepicker").focus(function () {
                $('.hasDatepicker').attr("autocomplete", "off");
            });

            var id = getCookieValue("ActiveLiid")
            $('[data-toggle="tooltip"]').tooltip();
            preventBack();
            $("[placeholder^='Mm/Dd/Yyyy']").css('text-transform', 'none');


            if (id != null) {


                $("#" + id).addClass("active");

            } else {
                $("#1").addClass("active");
            }

            $('.pr').click(function (e) {
                e.preventDefault();
            });
            $('input[type="date"]').attr('placeholder', 'mm/dd/yyyy');
            $('input[type="date"]').prop('type', 'text');

            //            hidefirsttwolistsmenu();
            setInterval(updateTime, 1000);

        });

        function preventBack() { window.history.forward(); }

        setTimeout("preventBack()", 0);

        window.onunload = function () { null };
        //        function hidefirsttwolistsmenu() {
        //            $('#dashmenu').trigger('click');
        //            $('#account').trigger('click');
        //        }

        function updateTime() {
            var now = new Date();
            jQuery('#updatedt').html(now.toString().replace("GMT+0530 (India Standard Time)", ""));
        }

    </script>

    <div id="edudiv" class="edudiv background" style="display:none">
        <span>!No data avaliable</span>
    </div>

</body>
@RenderSection("scripts", required: false)
</html>
